# Method: customerUsageReports.get

- [HTTP request](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports/get#try-it)

Retrieves a report which is a collection of properties and statistics for a specific customer's account. For more information, see the [Customers Usage Report guide](https://developers.google.com/admin-sdk/reports/v1/guides/manage-usage-customers). For more information about the customer report's parameters, see the [Customers Usage parameters](https://developers.google.com/admin-sdk/reports/v1/reference/usage-ref-appendix-a/customers) reference guides.  

### HTTP request

`GET https://admin.googleapis.com/admin/reports/v1/usage/dates/{date}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `date` | `string` Represents the date the usage occurred, based on UTC-8:00 (Pacific Standard Time). The timestamp is in the [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601), `yyyy-mm-dd`. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID of the customer to retrieve data for. |
| `pageToken` | `string` Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. For your follow-on requests getting all of the report's pages, enter the `nextPageToken` value in the `pageToken` query string. |
| `parameters` | `string` The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Customers usage report include `accounts`, `app_maker`, `apps_scripts`, `calendar`, `chat`, `classroom`, `cros`, `docs`, `gmail`, `gplus`, `device_management`, `meet`, and `sites`. A `parameters` query string is in the CSV form of `app_name1:param_name1, app_name2:param_name2`. > [!NOTE] > **Note:** The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. > In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. > An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports#UsageReports`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.reports.usage.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).